Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch
Class LocalSearchPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.PhaseConfig
          org.optaplanner.core.config.localsearch.LocalSearchPhaseConfig

    public class LocalSearchPhaseConfig

extends PhaseConfig

Constructor Summary
`LocalSearchPhaseConfig()`

Method Summary
`LocalSearchPhase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`AcceptorConfig` | `getAcceptorConfig()`
`LocalSearchForagerConfig` | `getForagerConfig()`
`MoveSelectorConfig` | `getMoveSelectorConfig()`
`void` | `inherit(LocalSearchPhaseConfig inheritedConfig)`
`void` | `setAcceptorConfig(AcceptorConfig acceptorConfig)`
`void` | `setForagerConfig(LocalSearchForagerConfig foragerConfig)`
`void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`

Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig
`configurePhase, getTerminationConfig, inherit, setTerminationConfig, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalSearchPhaseConfig

    public LocalSearchPhaseConfig()

Method Detail

### getMoveSelectorConfig

    public MoveSelectorConfig getMoveSelectorConfig()

### setMoveSelectorConfig

    public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

### getAcceptorConfig

    public AcceptorConfig getAcceptorConfig()

### setAcceptorConfig

    public void setAcceptorConfig(AcceptorConfig acceptorConfig)

### getForagerConfig

    public LocalSearchForagerConfig getForagerConfig()

### setForagerConfig

    public void setForagerConfig(LocalSearchForagerConfig foragerConfig)

### buildPhase

    public LocalSearchPhase buildPhase(int phaseIndex,
                                       HeuristicConfigPolicy solverConfigPolicy,
                                       BestSolutionRecaller bestSolutionRecaller,
                                       Termination solverTermination)

  Specified by:
    `buildPhase` in class `PhaseConfig`

### inherit

    public void inherit(LocalSearchPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.